import { jsx } from "react/jsx-runtime";
import { FilePpt as FilePpt$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FilePpt = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "FilePpt", ...props, children: /* @__PURE__ */ jsx(FilePpt$1, { weight: variant }) });
  }
);
FilePpt.displayName = "FilePpt";
Object.assign(FilePpt, { isGdsIcon: true });
export {
  FilePpt
};
